Skip to main content
GET
/
api
/
market
/
v1
/
analyze-stock
AnalyzeStock
curl --request GET \
  --url https://api.example.com/api/market/v1/analyze-stock
{
  "available": true,
  "symbol": "<string>",
  "name": "<string>",
  "display": "<string>",
  "currency": "<string>",
  "currentPrice": 123,
  "changePercent": 123,
  "signalScore": 123,
  "signal": "<string>",
  "trendStatus": "<string>",
  "volumeStatus": "<string>",
  "macdStatus": "<string>",
  "rsiStatus": "<string>",
  "summary": "<string>",
  "action": "<string>",
  "confidence": "<string>",
  "technicalSummary": "<string>",
  "newsSummary": "<string>",
  "whyNow": "<string>",
  "bullishFactors": [
    "<string>"
  ],
  "riskFactors": [
    "<string>"
  ],
  "supportLevels": [
    123
  ],
  "resistanceLevels": [
    123
  ],
  "headlines": [
    {
      "title": "<string>",
      "source": "<string>",
      "link": "<string>",
      "publishedAt": 123
    }
  ],
  "ma5": 123,
  "ma10": 123,
  "ma20": 123,
  "ma60": 123,
  "biasMa5": 123,
  "biasMa10": 123,
  "biasMa20": 123,
  "volumeRatio5d": 123,
  "rsi12": 123,
  "macdDif": 123,
  "macdDea": 123,
  "macdBar": 123,
  "provider": "<string>",
  "model": "<string>",
  "fallback": true,
  "newsSearched": true,
  "generatedAt": "<string>",
  "analysisId": "<string>",
  "analysisAt": 123,
  "stopLoss": 123,
  "takeProfit": 123,
  "engineVersion": "<string>"
}

Query Parameters

symbol
string
name
string
include_news
boolean

Response

Successful response

available
boolean
symbol
string
name
string
display
string
currency
string
currentPrice
number<double>
changePercent
number<double>
signalScore
number<double>
signal
string
trendStatus
string
volumeStatus
string
macdStatus
string
rsiStatus
string
summary
string
action
string
confidence
string
technicalSummary
string
newsSummary
string
whyNow
string
bullishFactors
string[]
riskFactors
string[]
supportLevels
number<double>[]
resistanceLevels
number<double>[]
headlines
object[]
ma5
number<double>
ma10
number<double>
ma20
number<double>
ma60
number<double>
biasMa5
number<double>
biasMa10
number<double>
biasMa20
number<double>
volumeRatio5d
number<double>
rsi12
number<double>
macdDif
number<double>
macdDea
number<double>
macdBar
number<double>
provider
string
model
string
fallback
boolean
newsSearched
boolean
generatedAt
string
analysisId
string
analysisAt
integer<int64>

Warning: Values > 2^53 may lose precision in JavaScript

stopLoss
number<double>
takeProfit
number<double>
engineVersion
string